package com.iformall.service.invest;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.iformall.domain.vo.invest.InvestPageQuery;
import com.iformall.domain.vo.invest.InvestPageResult;
import com.iformall.enums.EnumFollowType;
import com.iformall.enums.EnumInvestMessageType;

import java.io.Serializable;
import java.util.List;

/**
 * 招商任务
 *
 * @author 
 * @email 
 * @date 2019-09-23 18:40:43
 */
public interface InvestBaseService<T> {

    InvestPageResult<T> queryPage(InvestPageQuery<T> params) ;

    InvestPageResult<T> queryPage(InvestPageQuery<T> params, LambdaQueryWrapper<T> queryWrapper) ;

    T getByIdNotNull(Serializable id);

    /**
     *
     * @param ownerArray
     * @param message
     * @param type
     * @param tid
     * @return
     */
    default boolean saveBatchMessage(List<Long> ownerArray, EnumInvestMessageType message, EnumFollowType type, Long tid) {
        return false;
    }
}

